Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154190 - xorg-x11.i386 6.8.2-1.FC3.13 radeon 9200/9000 hang - no oops or logs
Summary: xorg-x11.i386 6.8.2-1.FC3.13 radeon 9200/9000 hang - no oops or logs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-08 02:36 UTC by Doug Maxey
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.6.11-1.14_FC3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-05 04:24:05 UTC


Attachments (Terms of Use)

Description Doug Maxey 2005-04-08 02:36:33 UTC
Description of problem:
With the lastest xorg package, can count on a hard hang at some point.  I saw
this the first time when starting firefox after the package update.  The last 3
hangs occured when switching desktops.  Thought this was on this a single
machine, but get this on a similar machine at work. 

No indication in any log, sysrq is enabled but has no affect. :-/

Version-Release number of selected component (if applicable):
xorg-x11.i386 6.8.2-1.FC3.13

How reproducible:
The longest I have been up without hang is 3 days, shortest was 20 minutes.

Steps to Reproduce:
1. bring up gnome session.
2. start lots'o windows
3. switch between desktops
  
Actual results:
Complete hang, no network, serial.  Must BWS.

Expected results:
No hang.  

Additional info:
austin.i$ cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 CPU 2.80GHz
stepping        : 9
cpu MHz         : 2800.883
cache size      : 512 KB
physical id     : 0
siblings        : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips        : 5554.17

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 CPU 2.80GHz
stepping        : 9
cpu MHz         : 2800.883
cache size      : 512 KB
physical id     : 0
siblings        : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips        : 5586.94

$ cat /proc/meminfo
MemTotal:      1035452 kB
MemFree:         18812 kB
Buffers:        176716 kB
Cached:         513996 kB
SwapCached:        236 kB
Active:         639560 kB
Inactive:       282612 kB
HighTotal:      131008 kB
HighFree:          140 kB
LowTotal:       904444 kB
LowFree:         18672 kB
SwapTotal:     7978060 kB
SwapFree:      7977820 kB
Dirty:            6328 kB
Writeback:           0 kB
Mapped:         269048 kB
Slab:            69796 kB
CommitLimit:   8495784 kB
Committed_AS:   632608 kB
PageTables:       3708 kB
VmallocTotal:   114680 kB
VmallocUsed:     10356 kB
VmallocChunk:   102900 kB
HugePages_Total:     0
HugePages_Free:      0
Hugepagesize:     4096 kB

$ lspci
00:00.0 Host bridge: Intel Corp. 82865G/PE/P DRAM Controller/Host-Hub Interface
(rev 02)
00:01.0 PCI bridge: Intel Corp. 82865G/PE/P PCI to AGP Controller (rev 02)
00:1d.0 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI Controller
#1 (rev 02)
00:1d.1 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI Controller
#2 (rev 02)
00:1d.2 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI #3 (rev 02)
00:1d.3 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI Controller
#4 (rev 02)
00:1d.7 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB2 EHCI Controller
(rev 02)
00:1e.0 PCI bridge: Intel Corp. 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corp. 82801EB/ER (ICH5/ICH5R) LPC Interface Bridge
(rev 02)
00:1f.1 IDE interface: Intel Corp. 82801EB/ER (ICH5/ICH5R) IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corp. 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) AC'97
Audio Controller (rev 02)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon RV250 If [Radeon
9000] (rev 01)
02:02.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
02:04.0 Ethernet controller: Linksys NC100 Network Everywhere Fast Ethernet
10/100 (rev 11)
02:07.0 Unknown mass storage controller: Promise Technology, Inc. 20269 (rev 02)

Comment 1 Mike A. Harris 2005-04-11 11:48:41 UTC
Please file a bug report in X.Org bugzilla to track this issue,
which is located at http://bugs.freedesktop.org in the "xorg" component.

Once you've filed your report to X.Org, if you paste the URL here,
Red Hat will track the issue in X.Org bugzilla with upstream developers,
and will review any fixes that become available for potential inclusion
in future Fedora Core updates.


Comment 2 Mike A. Harris 2005-04-11 11:49:25 UTC
Setting status to "NEEDINFO", awaiting upstream bug URL for tracking.


Comment 3 Mike A. Harris 2005-05-05 01:50:44 UTC
Have you filed a bug in X.Org bugzilla for this that we can track?

Comment 4 Doug Maxey 2005-05-05 04:24:05 UTC
No, have not refiled.  After updating to 2.6.11-1.14_FC3, it immediately hung
once, but has not hung again in 14 days.  I 'spose this is fixed with the later
kernel.


Note You need to log in before you can comment on or make changes to this bug.